#include "tctest_s.h"
#include <iostream>


class ConsumerImpl : public POA_TcTest::Consumer
{
public:
  void push(const CORBA::Any&)
  {
    std::cout << "got any" << std::endl;
  }
};


int main(int argc, char* argv[])
{
  CORBA::ORB_var orb = CORBA::ORB_init(argc, argv);
  CORBA::Object_var obj = orb->resolve_initial_references("omniINSPOA");
  PortableServer::POA_var poa = PortableServer::POA::_narrow(obj);
  PortableServer::POAManager_var poamgr = poa->the_POAManager();
  poamgr->activate();

  ConsumerImpl* servant = new ConsumerImpl();
  PortableServer::ObjectId_var oid = PortableServer::string_to_ObjectId("Consumer");

  poa->activate_object_with_id(oid, servant);
  orb->run();

  return 0;
}
